package com.javacodegeeks.examples.annotation;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import org.springframework.core.annotation.AliasFor;

@Retention(RUNTIME)
@Target(FIELD)
public @interface MyAnnotation {

	@AliasFor("name")
	String value() default "";
	
	@AliasFor("value")
	String name() default "";	
}
